____longjmp_chk () in Ubuntu 18.04

Do you have a typical platform dependent issue you're battling with ? Ask it here. Make sure you mention your platform, compiler, and wxWidgets version.
raananb
Super wx Problem Solver
Super wx Problem Solver
Posts: 405
Joined: Fri Oct 27, 2006 4:35 pm
Location: Paris, France
Contact:

Re: ____longjmp_chk () in Ubuntu 18.04

Post by raananb » Fri Feb 14, 2020 9:54 pm

The installed webkit is libwebkitgtk-3.0-dev

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 3787
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: ____longjmp_chk () in Ubuntu 18.04

Post by ONEEYEMAN » Fri Feb 14, 2020 11:06 pm

Hi,
And I presume it is the only one, right?

Then the only idea I have is to re-compile WebKit in debug mode and see if you can replicate the issue.

However, it will be hard to find exact set of options Ubuntu used to configure WebKit.

Did you try any other distro? Debian, Mint, Fedora?
Or downgrade Ubuntu version?

On second thought - you have a "dev" package". But do you have an actual WebKit installed?
Which packages do you have installed that contains "webkit" in its name? (Sorry I'm not a Ubuntu user - Gentoo here).

Thank you.

raananb
Super wx Problem Solver
Super wx Problem Solver
Posts: 405
Joined: Fri Oct 27, 2006 4:35 pm
Location: Paris, France
Contact:

Re: ____longjmp_chk () in Ubuntu 18.04

Post by raananb » Sat Feb 15, 2020 7:33 am

Hi,
Searching the installed packages discovers 49 items including 'webkit' in their names. So much for clarity.

Maybe the sample will make things clearer.

Thanks.

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 3787
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: ____longjmp_chk () in Ubuntu 18.04

Post by ONEEYEMAN » Sat Feb 15, 2020 11:36 pm

Hi,
Also try another distribution.

Thank you.

Post Reply